#! /bin/bash -eu

BACKUP_FILENAME="backup-$(date '+%Y%m%d').tar.gz"

PROJ_DIR="$(cd "$(realpath "$(dirname "$0")")" && pwd)"
cd "${PROJ_DIR}/.."

USR_GID="$1"
shift
USR_UID="$1"
shift

/home/linuxbrew/.linuxbrew/bin/docker-compose down
tar -czvf "${BACKUP_FILENAME}" "$@"
chown "${USR_GID}:${USR_UID}" "${BACKUP_FILENAME}"
/home/linuxbrew/.linuxbrew/bin/docker-compose up -d
